<div class="app-modal k8s-resources-manager" id="k8s-resources-manager-{{ application.identifier }}">
  <div class="app-modal-header bg-dark d-flex flex-row justify-content-between align-items-center">
    <span>K8s resources manager</span>
    {% if user_role == 'owner' or user_role == 'editor' %}
      <button class="btn btn-outline-light btn-sm" data-bs-toggle="modal" data-bs-target="#k8s-resources-request-form-{{ application.identifier }}">+ Request more</button>
    {% endif %}
  </div>
  <div class="app-modal-body info-display">
    {% if application.applicationquotarequest.status == "Pending" %}
      <div class="alert alert-warning d-flex align-items-center" role="alert">
        <i class="fa-solid fa-exclamation rounded-circle bg-warning me-2"></i>
        <div>
          There is a pending request to increase the quota for this app.
        </div>
        {% if user_role == 'owner' or user_role == 'editor' %}
          <button class="btn btn-warning btn-sm ms-auto" data-bs-toggle="modal" data-bs-target="#k8s-resources-request-form-{{ application.identifier }}">Details</button>
        {% endif %}
      </div>
    {% endif %}
    <div class="row mb-2">
      <div class="col-4 fw-semibold">Replicas</div>
      <div class="col-8">{{ application.replicas }}/{{ application.applicationquota.replicas }} max</div>
    </div>

    {% if user_role == 'owner' or user_role == 'editor' %}
      <div class="app-modal-btn-container">
        <button type="button" class="edit-btn btn btn-outline-primary btn-sm {% if application.deployment.state == 1 %}disabled{% endif %}">Edit</button>
      </div>
    {% endif %}
  </div>

  <div class="app-modal-body config-form">
    {% if application.applicationquotarequest.status == "Pending" %}
      <div class="alert alert-warning d-flex align-items-center" role="alert">
        <i class="fa-solid fa-exclamation rounded-circle bg-warning me-2"></i>
        <div>
          There is a pending request to increase the quota for this app.
        </div>
        <button class="btn btn-warning btn-sm ms-auto" data-bs-toggle="modal" data-bs-target="#k8s-resources-request-form-{{ application.identifier }}">Details</button>
      </div>
    {% endif %}
    {% include 'forms/config_k8s.html' %}
  </div>
</div>
